QwtScaleDiv(3)

NAME
QwtScaleDiv - A class representing a scale division.

SYNOPSIS

#include <qwt_scale_div.h>

  Public Types
enum TickType { NoTick = -1, MinorTick, MediumTick, MajorTick, NTickTypes } Scale tick types. "

  Public Member Functions
QwtScaleDiv (double lowerBound=0.0, double upperBound=0.0)
QwtScaleDiv (const QwtInterval &, QList< double >[NTickTypes])
QwtScaleDiv (double lowerBound, double upperBound, QList< double >[NTickTypes])
QwtScaleDiv (double lowerBound, double upperBound, const QList< double > &minorTicks, const QList< double > &mediumTicks, const QList< double > &majorTicks)
bool operator== (const QwtScaleDiv &) const
Equality operator.
bool operator!= (const QwtScaleDiv &) const
Inequality.
void setInterval (double lowerBound, double upperBound)
void setInterval (const QwtInterval &)
QwtInterval interval () const
void setLowerBound (double)
double lowerBound () const
void setUpperBound (double)
double upperBound () const
double range () const
bool contains (double value) const
void setTicks (int tickType, const QList< double > &)
QList< double > ticks (int tickType) const
bool isEmpty () const
Check if the scale division is empty( lowerBound() == upperBound() )
bool isIncreasing () const
Check if the scale division is increasing( lowerBound() <= upperBound() )
void invert ()
QwtScaleDiv inverted () const
QwtScaleDiv bounded (double lowerBound, double upperBound) const

Detailed Description

A class representing a scale division. A Qwt scale is defined by its boundaries and 3 list for the positions of the major, medium and minor ticks.

The upperBound() might be smaller than the lowerBound() to indicate inverted scales.

Scale divisions can be calculated from a QwtScaleEngine.

See also:
    QwtScaleEngine::divideScale(), QwtPlot::setAxisScaleDiv(), QwtAbstractSlider::setScaleDiv()

Member Enumeration Documentation

  enum QwtScaleDiv::TickType

Scale tick types.

Enumerator

NoTick
    No ticks.

MinorTick
    Minor ticks.

MediumTick
    Medium ticks.

MajorTick
    Major ticks.

NTickTypes
    Number of valid tick types.

Constructor & Destructor Documentation

  QwtScaleDiv::QwtScaleDiv (double lowerBound = 0.0, double upperBound = 0.0) [explicit]
Construct a division without ticks

Parameters:
    lowerBound First boundary
    upperBound Second boundary

Note:
    lowerBound might be greater than upperBound for inverted scales

  QwtScaleDiv::QwtScaleDiv (const QwtInterval & interval, QList< double > ticks[NTickTypes]) [explicit]
Construct a scale division

Parameters:
    interval Interval
    ticks List of major, medium and minor ticks

  QwtScaleDiv::QwtScaleDiv (double lowerBound, double upperBound, QList< double > ticks[NTickTypes]) [explicit]
Construct a scale division

Parameters:
    lowerBound First boundary
    upperBound Second boundary
    ticks List of major, medium and minor ticks

Note:
    lowerBound might be greater than upperBound for inverted scales

  QwtScaleDiv::QwtScaleDiv (double lowerBound, double upperBound, const QList< double > & minorTicks, const QList< double > & mediumTicks, const QList< double > & majorTicks) [explicit]
Construct a scale division

Parameters:
    lowerBound First boundary
    upperBound Second boundary
    minorTicks List of minor ticks
    mediumTicks List medium ticks
    majorTicks List of major ticks

Note:
    lowerBound might be greater than upperBound for inverted scales

Member Function Documentation

  QwtScaleDiv QwtScaleDiv::bounded (double lowerBound, double upperBound) const
Return a scale division with an interval [lowerBound, upperBound] where all ticks outside this interval are removed

Parameters:
    lowerBound Lower bound
    upperBound Upper bound

Returns:
    Scale division with all ticks inside of the given interval

Note:
    lowerBound might be greater than upperBound for inverted scales

  bool QwtScaleDiv::contains (double value) const
Return if a value is between lowerBound() and upperBound()

Parameters:
    value Value

Returns:
    true/false

  QwtInterval QwtScaleDiv::interval () const

Returns:
    lowerBound -> upperBound

  void QwtScaleDiv::invert ()
Invert the scale division

See also:
    inverted()

  QwtScaleDiv QwtScaleDiv::inverted () const

Returns:
    A scale division with inverted boundaries and ticks

See also:
    invert()

  double QwtScaleDiv::lowerBound () const

Returns:
    First boundary

See also:
    upperBound()

  bool QwtScaleDiv::operator!= (const QwtScaleDiv & other) const

Inequality.

Returns:
    true if this instance is not equal to other

  bool QwtScaleDiv::operator== (const QwtScaleDiv & other) const

Equality operator.

Returns:
    true if this instance is equal to other

  double QwtScaleDiv::range () const

Returns:
    upperBound() - lowerBound()

  void QwtScaleDiv::setInterval (double lowerBound, double upperBound)
Change the interval

Parameters:
    lowerBound First boundary
    upperBound Second boundary

Note:
    lowerBound might be greater than upperBound for inverted scales

  void QwtScaleDiv::setInterval (const QwtInterval & interval)
Change the interval

Parameters:
    interval Interval

  void QwtScaleDiv::setLowerBound (double lowerBound)
Set the first boundary

Parameters:
    lowerBound First boundary

See also:
    lowerBiound(), setUpperBound()

  void QwtScaleDiv::setTicks (int type, const QList< double > & ticks)
Assign ticks

Parameters:
    type MinorTick, MediumTick or MajorTick
    ticks Values of the tick positions

  void QwtScaleDiv::setUpperBound (double upperBound)
Set the second boundary

Parameters:
    upperBound Second boundary

See also:
    upperBound(), setLowerBound()

  QList< double > QwtScaleDiv::ticks (int type) const
Return a list of ticks

Parameters:
    type MinorTick, MediumTick or MajorTick

Returns:
    Tick list

  double QwtScaleDiv::upperBound () const

Returns:
    upper bound

See also:
    lowerBound()

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.